> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tally.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Listing workspaces

> Returns a paginated array of workspace objects with associated users and pending invites.



## OpenAPI

````yaml GET /workspaces
openapi: 3.0.1
info:
  title: OpenAPI
  description: Tally's API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tally.so
security:
  - bearerAuth: []
paths:
  /workspaces:
    get:
      summary: Retrieve a list of workspaces
      description: >-
        Returns a paginated array of workspace objects with associated users and
        pending invites.
      parameters:
        - name: page
          in: query
          required: false
          description: 'Page number for pagination (default: 1)'
          schema:
            type: number
      responses:
        '200':
          description: A paginated list of workspaces
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Workspace'
                  page:
                    type: number
                    description: Current page number
                  limit:
                    type: number
                    description: Number of items per page
                  total:
                    type: number
                    description: Total number of items
                  hasMore:
                    type: boolean
                    description: Whether there are more pages available
                required:
                  - items
                  - page
                  - limit
                  - total
                  - hasMore
        '401':
          description: Unauthorized
      security:
        - bearerAuth: []
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        members:
          type: array
          items:
            $ref: '#/components/schemas/User'
        invites:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              email:
                type: string
              workspaceIds:
                type: array
                items:
                  type: string
        createdByUserId:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - members
        - invites
        - createdByUserId
        - createdAt
        - updatedAt
    User:
      type: object
      properties:
        id:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        fullName:
          type: string
        email:
          type: string
        avatarUrl:
          type: string
          format: uri
          nullable: true
        organizationId:
          type: string
        isDeleted:
          type: boolean
        hasTwoFactorEnabled:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        subscriptionPlan:
          type: string
          enum:
            - FREE
            - PRO
            - BUSINESS
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````